//-----------------------------WIDE.HK---------------------------//
// I2C Demo of KS0108B graphics LCD screen connected to Arduino  //
// -------------- Vcc5V - GND - SDA(A4) - SCL (A5) --------------//
//--- http://www.wide.hk  Version1.8a   Tested in Arduino0023 ---//
 

#include <Wire.h>
#include <SPI.h>
#include <I2C_KS0108C_GLCD.h>

I2C_KS0108C_GLCD lcd;


byte picture [] PROGMEM = {
 0x1C, 0x22, 0x49, 0xA1, 0xA1, 0x49, 0x22, 0x1C,  // Item1
 0x10, 0x08, 0x04, 0x62, 0x62, 0x04, 0x08, 0x10,  // Item2
 0x4C, 0x52, 0x4C, 0x40, 0x5F, 0x44, 0x4A, 0x51,  // Item3
};


void setup () 
{
  lcd.begin ();  

  // draw all available letters
  for (int i = ' '; i <= 0x7f; i++)
    lcd.letter (i);

  // black box  
  lcd.clear (6, 40, 30, 63, 0xFF);

  // draw text in inverse
  lcd.gotoxy (35, 40);
  lcd.string ("I2C KS0108 GLCD", true);
  
  // bit blit in a picture
  lcd.gotoxy (70, 56);
  lcd.blit (picture, sizeof picture);
  
  // draw a framed rectangle
  lcd.frameRect (35, 49, 127, 63, 1, 1);

  // draw a white diagonal line
  lcd.line (6, 40, 30, 63, 0);
    
}  // end of setup

void loop () 
{} 
